JITTERSAMPLES(1)

NAME
jittersamples - decodes collected samples by jitterdebugger

SYNOPSIS
jittersamples hist [OPTIONS]

DESCRIPTION
jittersamples prints all samples stored by jitterdebugger to standard output.

The input file is expected to be in raw format. The default output is in CSV (Comma Separated Values) format.

The fields are:

•   CPUID

•   Timestamp in seconds

•   Wake up latency in micro seconds

OPTIONS

-h, --help
    Show help text and exit.

-f, --formatFMT
    Set output format. Supported formats are CSV and HDF5. For HDF5 an output file has to be provided via --output command line.

-o, --outputFILE
    Write data to FILE instead to STDOUT.

-l, --listenPORT
    Listen on PORT for incoming samples and store the data into FILE in raw format.

EXAMPLES
      # jitterdebugger -o samples.raw
      ^C
      # jittersamples samples.raw | head
      0;1114.936950838;9
      0;1114.937204763;3
      0;1114.937458457;3
      0;1114.937711970;3
      0;1114.937965595;3
      0;1114.938218986;3
      0;1114.938472416;3
      0;1114.938725788;3
      0;1114.938979191;3
      0;1114.939232594;3

SEE ALSO
jitterdebugger(1) jitterplot(1)